<div th:replace="~{fragments/header}"></div>
    <table class="table" th:if="${products != null && !products.empty}">
        <thead>
            <tr>
                <th>Name</th>
                <th>Category</th>
                <th>Price</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="product : ${products}">
                <td th:text="${product.getName()}"></td>
                <td th:text="${product.getCategory()}"></td>
                <td th:text="${product.getPrice()}"></td>
                <td>
                    <div class="btn-group">
                        <a class="btn btn-primary" th:href="@{/product/edit/{id}(id=${product.getId()})}">edit</a>
                        <a class="btn btn-danger" th:href="@{/product/delete/{id}(id=${product.getId()})}">delete</a>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
<div th:replace="~{fragments/footer}"></div>